Bug 6325 - [Package Request] pcnfsd
: [Package Request] pcnfsd
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Package Requests
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 23:58 MSK by Zombie Ryushu
Modified: 2016-06-23 04:40 MSD (History)
2 users (show)

See Also:
RPM Package: pcnfsd
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2015-11-16 23:58:59 MSK
PCNFSD from OpenSuse should be ported into Rosa 2014. It provides support for legacy DOS Clients who have no concept of uid/gid
Comment 1 Zombie Ryushu 2016-06-21 01:02:09 MSD
This is an outstanding request still.
Comment 2 Andrey Bondrov 2016-06-21 07:38:54 MSD
It's quite legacy itself, needs to be ported to systemd. If you can help with systemd unit pcnfsd.service, I'll import the package. So please attach pcnfsd.service to this bug when it's ready.
Comment 3 Zombie Ryushu 2016-06-21 23:07:51 MSD
This package has now been built in Mageia 6. Please pull from Mageia Cauldron instead as it contains new Format Security Patches.
Comment 4 Zombie Ryushu 2016-06-21 23:19:42 MSD
I'll do the best I can. It only has one executable, rpc.pcnfsd, the startup script is very old and deprecated. I can confirm it does work, connecting a DOS computer allows it to save files and print to the remote server.
Comment 5 Zombie Ryushu 2016-06-22 00:04:07 MSD
[Unit]
Description=PC NFS Compatibility server for DOS
Documentation=man:pcnfsd(8)
After=syslog.target network.target ldap.service

[Service]
EnvironmentFile=/etc/sysconfig/pcnfsd
ExecStart=/usr/sbin/rpc.pcnfsd

[Install]
WantedBy=multi-user.target
Comment 6 Zombie Ryushu 2016-06-22 00:51:11 MSD
This may actually be a xinetd service.
Comment 7 Zombie Ryushu 2016-06-22 02:07:43 MSD
ervice pcnfsd
{
        disable = no
        socket_type     = dgram
        wait            = yes
        groups          = yes
        user            = root
        group           = root
        server          = /usr/sbin/rpc.pcnfsd
Comment 8 Andrey Bondrov 2016-06-22 07:05:40 MSD
(In reply to comment #6)
> This may actually be a xinetd service.

Do you mean we need to install only xinetd service or both xinetd and systemd services?

Current progress:

1. I patched PCNFSD to build with tirpc.

2. I patched PCNFSD to define default SPOOLDIR to /var/spool/lpd because PCNFSD_LPSPOOL variable is used in obsolete init script only (it runs "$PCNFSD_LPSPOOL $PCNFSD_LPSPOOL" -> "/usr/sbin/rpc.pcnfsd /var/spool/lpd").

3. I found that manpage needs to be updated (I'll do it myself).

So no I need to know what's the modern and 100% working way to replace old init script (systemd or xinetd service).
Comment 9 Zombie Ryushu 2016-06-22 07:13:50 MSD
It can operate as either one, but if you do it as a xinetd service, Printing won't work for some reason, but Auth and File sharing will. I don't know why.
Comment 10 Andrey Bondrov 2016-06-22 08:09:44 MSD
Please test linux_pcnfsd2 from containers:

https://abf.rosalinux.ru/build_lists/2683544
https://abf.rosalinux.ru/build_lists/2683545

If it works (including systemd service), I'll update man page and push     linux_pcnfsd2 to Contrib.
Comment 11 Zombie Ryushu 2016-06-22 08:41:54 MSD
The file server portion works, the systemd service works as anticipated, however the Print spooler mount fails to mount.
Comment 12 Andrey Bondrov 2016-06-22 10:37:52 MSD
(In reply to comment #11)
> The file server portion works, the systemd service works as anticipated,
> however the Print spooler mount fails to mount.

Can you investigate why it happens? Maybe rebuilding without linux_pcnfsd2-spooldir.patch patch can fix it?
Comment 13 Zombie Ryushu 2016-06-22 11:09:25 MSD
For some reason the process isnb't persistently running, when I manually launch the process as root, the Printing process works.
Comment 14 Zombie Ryushu 2016-06-22 11:17:28 MSD
Direct Launch
 3582 ?        Ss     0:00 /sbin/rpcbind -w -i
 9749 ?        Ss     0:00 /usr/sbin/rpc.idmapd
 9750 ?        Ss     0:00 /usr/sbin/rpc.mountd
 9751 ?        Ss     0:00 /usr/sbin/rpc.rquotad
 9764 ?        S      0:00 /usr/sbin/rpc.pcnfsd
 9800 pts/2    S+     0:00 grep --color rpc

service file:
 3582 ?        Ss     0:00 /sbin/rpcbind -w -i
 9749 ?        Ss     0:00 /usr/sbin/rpc.idmapd
 9750 ?        Ss     0:00 /usr/sbin/rpc.mountd
 9751 ?        Ss     0:00 /usr/sbin/rpc.rquotad
 9833 pts/2    S+     0:00 grep --color rpc
16294 ?        S<     0:00 [rpciod]
Comment 15 Zombie Ryushu 2016-06-22 11:24:13 MSD
Your patch also creates a Perrmission denied error in exports. I'm trying to see if I can fix it. before it used /var/spool/pcnfs
Comment 16 Zombie Ryushu 2016-06-22 11:39:15 MSD
After adjusting my exports, Printing works again with your patch. However, the process issue remains.
Comment 17 Andrey Bondrov 2016-06-22 14:19:58 MSD
(In reply to comment #16)
> After adjusting my exports, Printing works again with your patch. However,
> the process issue remains.

Can you please check if 

-WantedBy=multi-user.target
+WantedBy=default.target

helps?
Comment 18 Zombie Ryushu 2016-06-22 20:39:46 MSD
I fell asleep, and it makes no difference. It still does the same thing. being this is an rpc service, is it supposed to be that NFS launches this itself?
Comment 19 Andrey Bondrov 2016-06-22 21:10:00 MSD
(In reply to comment #18)
> I fell asleep, and it makes no difference. It still does the same thing.
> being this is an rpc service, is it supposed to be that NFS launches this
> itself?

Unfortunately, I don't know. :-(
Comment 20 Zombie Ryushu 2016-06-22 22:11:50 MSD
The application works regardless, its just this is a configuration problem with rpcbind not launching the rpc.pcnfsd when it should be.
Comment 21 Andrey Bondrov 2016-06-23 04:40:01 MSD
(In reply to comment #20)
> The application works regardless, its just this is a configuration problem
> with rpcbind not launching the rpc.pcnfsd when it should be.

I just pushed it to Contrib for rosa2014.1.